<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thmelef/layout"
      layout:decorate="_layout">
<head>
    <meta charset="UTF-8">
    <title>Registration</title>
</head>
<body>
    <div layout:fragment="content">
        <div class="container">
            <div class="row col-md-8 offset-md-2">
                <div class="card">
                    <div class="card-header">
                        <h2 class="text-center">Registration</h2>
                    </div>
                    <div th:if="${param.success}">
                        <div class="alert alert-info">
                          You have successfully registered our app!
                        </div>
                    </div>
                    <div class="card-body">
                        <form
                            method="post"
                            role="form"
                            th:action="@{/register/save}"
                            th:object="${user}"
                        >
                            <div class="form-group mb-3">
                                <label class="form-label">First Name</label>
                                <input
                                        class="form-control"
                                        id="firstName"
                                        name="firstName"
                                        placeholder="Enter first name"
                                        th:field="*{firstName}"
                                        type="text"
                                />
                                <p th:errors = "*{firstName}" class="text-danger"
                                th:if="${#fields.hasErrors('firstName')}"></p>
                            </div>

                            <div class="form-group mb-3">
                                <label class="form-label">Last Name</label>
                                <input
                                        class="form-control"
                                        id="lastName"
                                        name="lastName"
                                        placeholder="Enter last name"
                                        th:field="*{lastName}"
                                        type="text"
                                />
                                <p th:errors = "*{lastName}" class="text-danger"
                                   th:if="${#fields.hasErrors('lastName')}"></p>
                            </div>

                            <div class="form-group mb-3">
                                <label class="form-label">Email</label>
                                <input
                                        class="form-control"
                                        id="email"
                                        name="email"
                                        placeholder="Enter email address"
                                        th:field="*{email}"
                                        type="email"
                                />
                                <p th:errors = "*{email}" class="text-danger"
                                   th:if="${#fields.hasErrors('email')}"></p>
                            </div>

                            <div class="form-group mb-3">
                                <label class="form-label">Password</label>
                                <input
                                        class="form-control"
                                        id="password"
                                        name="password"
                                        placeholder="Enter password"
                                        th:field="*{password}"
                                        type="password"
                                />
                                <p th:errors = "*{password}" class="text-danger"
                                   th:if="${#fields.hasErrors('password')}"></p>
                            </div>
                            <div class="form-group">
                                <button class="btn btn-primary" type="submit">Register</button>
                                <span>Already registered? <a th:href="@{/login}">Login here</a></span>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>